Bug 202270 - multimedia/libvpx: update to 1.4.0.488 (snapshot)
Summary: multimedia/libvpx: update to 1.4.0.488 (snapshot)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL: https://chromium.googlesource.com/web...
Keywords: patch, security
Depends on:
Blocks:
 
Reported: 2015-08-12 17:42 UTC by Jan Beich
Modified: 2015-08-14 17:30 UTC (History)
2 users (show)

See Also:
ashish: maintainer-feedback+


Attachments
v0 (11.91 KB, patch)
2015-08-12 17:42 UTC, Jan Beich
no flags Details | Diff
84amd64 poudriere bulk -t log (386.23 KB, text/plain)
2015-08-12 17:43 UTC, Jan Beich
no flags Details
93i386 poudriere bulk -t log (385.91 KB, text/plain)
2015-08-12 17:43 UTC, Jan Beich
no flags Details
93amd64 poudriere bulk -t log (401.20 KB, text/plain)
2015-08-12 17:43 UTC, Jan Beich
no flags Details
102amd64 poudriere bulk -t log (386.58 KB, text/plain)
2015-08-12 17:43 UTC, Jan Beich
no flags Details
101i386 poudriere bulk -t log (380.45 KB, text/plain)
2015-08-12 17:43 UTC, Jan Beich
no flags Details
head_i386 poudriere bulk -t log (379.20 KB, text/plain)
2015-08-12 17:43 UTC, Jan Beich
no flags Details
93i386 poudriere bulk -t log with inverted options (DEBUG=on, the rest is off) (341.92 KB, text/plain)
2015-08-12 17:47 UTC, Jan Beich
no flags Details
armv6 poudriere bulk -t log (332.64 KB, text/plain)
2015-08-12 19:34 UTC, Jan Beich
no flags Details
v1 (15.37 KB, patch)
2015-08-13 00:07 UTC, Jan Beich
no flags Details | Diff
commit message (675 bytes, text/plain)
2015-08-13 00:23 UTC, Jan Beich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2015-08-12 17:42:29 UTC
Created attachment 159807 [details]
v0

1.4.0 (current version) is marked vulnerable per MFSA 2015-89.
Let's try updating to the version bundled with Firefox 40.

The patch contains:
- libvpx update (via github)
- vuxml update
- revert ports r394012
- add back powerpc targets removed by upstream
- add sparc64 support based on bug 186394
- improve gcc42 workaround for bug 189136
- strip binaries per stage-qa
Comment 1 Jan Beich freebsd_committer 2015-08-12 17:43:16 UTC
Created attachment 159808 [details]
84amd64 poudriere bulk -t log
Comment 2 Jan Beich freebsd_committer 2015-08-12 17:43:21 UTC
Created attachment 159809 [details]
93i386 poudriere bulk -t log
Comment 3 Jan Beich freebsd_committer 2015-08-12 17:43:26 UTC
Created attachment 159810 [details]
93amd64 poudriere bulk -t log
Comment 4 Jan Beich freebsd_committer 2015-08-12 17:43:31 UTC
Created attachment 159811 [details]
102amd64 poudriere bulk -t log
Comment 5 Jan Beich freebsd_committer 2015-08-12 17:43:36 UTC
Created attachment 159812 [details]
101i386 poudriere bulk -t log
Comment 6 Jan Beich freebsd_committer 2015-08-12 17:43:41 UTC
Created attachment 159813 [details]
head_i386 poudriere bulk -t log
Comment 7 Jan Beich freebsd_committer 2015-08-12 17:47:57 UTC
Created attachment 159814 [details]
93i386 poudriere bulk -t log with inverted options (DEBUG=on, the rest is off)
Comment 8 Jan Beich freebsd_committer 2015-08-12 19:34:52 UTC
Created attachment 159815 [details]
armv6 poudriere bulk -t log
Comment 10 Jan Beich freebsd_committer 2015-08-13 00:02:31 UTC
It appears the exp-run have finished 100% green. Thanks.
Comment 11 Jan Beich freebsd_committer 2015-08-13 00:07:03 UTC
Created attachment 159828 [details]
v1
Comment 12 Jan Beich freebsd_committer 2015-08-13 00:23:39 UTC
Created attachment 159830 [details]
commit message

v0 -> v1 patch doesn't affect build logs. And testing showed -no-integrated-as was gone before, since v1.4.0 update.

  # pedantic, eh?
  $ portlint -C
  WARN: multimedia/libvpx/files/patch-build_make_Makefile: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' to ensure proper patch format.
  WARN: multimedia/libvpx/files/patch-configure: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' to ensure proper patch format.
  WARN: multimedia/libvpx/files/patch-libs.mk: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' to ensure proper patch format.
  WARN: multimedia/libvpx/files/patch-vp9_common_vp9__filter.c: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' to ensure proper patch format.
  0 fatal errors and 4 warnings found.
Comment 13 Ashish SHUKLA freebsd_committer 2015-08-14 12:57:35 UTC
Hi,

The update looks good to me, and builds fine on 10.x/9.x i386/amd64 hosts, which I've access to, and has no functional issues on 10.x.

So, I approve this update. Please feel free to commit at your convenience.

Thanks for working on this,

Ashish
Comment 14 commit-hook freebsd_committer 2015-08-14 16:36:30 UTC
A commit references this bug:

Author: jbeich
Date: Fri Aug 14 16:35:29 UTC 2015
New revision: 394231
URL: https://svnweb.freebsd.org/changeset/ports/394231

Log:
  multimedia/libvpx: update to 1.4.0.488 (snapshot)

  Sync system libvpx with bundled libvpx in Firefox 40 in order
  to fix vulnerabilities in the former.

  While here fix other issues:
  - Add powerpc targets removed by upstream
  - Add sparc64 support [1]
  - Improve gcc42 workaround [2]
  - Strip binaries as reported by stage-qa
  - Drop unused -no-integrated-as hack for Clang

  Changes:	https://chromium.googlesource.com/webm/libvpx/+log/v1.4.0..e67d45d
  ACC report:	https://people.freebsd.org/~jbeich/compat_reports/libvpx/1.4.0_to_1.4.0.488/compat_report.html
  PR:		202270
  PR:		186394 [1] (based on)
  PR:		189136 [2]
  Exp-run by:	antoine
  Approved by:	ashish (maintainer)
  MFH:		2015Q3
  Security:	http://www.vuxml.org/freebsd/34e60332-2448-4ed6-93f0-12713749f250.html

Changes:
  head/multimedia/libvpx/Makefile
  head/multimedia/libvpx/distinfo
  head/multimedia/libvpx/files/patch-build_make_Makefile
  head/multimedia/libvpx/files/patch-build_make_configure.sh
  head/multimedia/libvpx/files/patch-configure
  head/multimedia/libvpx/files/patch-vp9_common_vp9__filter.c
Comment 15 commit-hook freebsd_committer 2015-08-14 16:40:36 UTC
A commit references this bug:

Author: jbeich
Date: Fri Aug 14 16:39:35 UTC 2015
New revision: 394233
URL: https://svnweb.freebsd.org/changeset/ports/394233

Log:
  Back out r394012 after r394231

  PR:		202270
  Exp-run by:	antoine
  MFH:		2015Q3
  X-MFH-With:	r394231

Changes:
  head/mail/thunderbird/Makefile
  head/www/firefox/Makefile
  head/www/firefox-esr/Makefile
  head/www/libxul/Makefile
  head/www/seamonkey/Makefile
Comment 16 Jan Beich freebsd_committer 2015-08-14 16:41:58 UTC
Oops, I forgot ports r394232 (vuxml) to ping back here.
Comment 17 commit-hook freebsd_committer 2015-08-14 17:28:47 UTC
A commit references this bug:

Author: jbeich
Date: Fri Aug 14 17:27:57 UTC 2015
New revision: 394242
URL: https://svnweb.freebsd.org/changeset/ports/394242

Log:
  MFH: r394231

  multimedia/libvpx: update to 1.4.0.488 (snapshot)

  Sync system libvpx with bundled libvpx in Firefox 40 in order
  to fix vulnerabilities in the former.

  While here fix other issues:
  - Add powerpc targets removed by upstream
  - Add sparc64 support [1]
  - Improve gcc42 workaround [2]
  - Strip binaries as reported by stage-qa
  - Drop unused -no-integrated-as hack for Clang

  Changes:	https://chromium.googlesource.com/webm/libvpx/+log/v1.4.0..e67d45d
  ACC report:	https://people.freebsd.org/~jbeich/compat_reports/libvpx/1.4.0_to_1.4.0.488/compat_report.html
  PR:		202270
  PR:		186394 [1] (based on)
  PR:		189136 [2]
  Exp-run by:	antoine
  Approved by:	ashish (maintainer)
  Approved by:	ports-secteam (delphij)
  Security:	http://www.vuxml.org/freebsd/34e60332-2448-4ed6-93f0-12713749f250.html

Changes:
_U  branches/2015Q3/
  branches/2015Q3/multimedia/libvpx/Makefile
  branches/2015Q3/multimedia/libvpx/distinfo
  branches/2015Q3/multimedia/libvpx/files/patch-build_make_Makefile
  branches/2015Q3/multimedia/libvpx/files/patch-build_make_configure.sh
  branches/2015Q3/multimedia/libvpx/files/patch-configure
  branches/2015Q3/multimedia/libvpx/files/patch-vp9_common_vp9__filter.c
Comment 18 commit-hook freebsd_committer 2015-08-14 17:30:52 UTC
A commit references this bug:

Author: jbeich
Date: Fri Aug 14 17:30:30 UTC 2015
New revision: 394243
URL: https://svnweb.freebsd.org/changeset/ports/394243

Log:
  MFH: r394233

  Back out r394012 after r394231 (use system libvpx again)

  PR:		202270
  Exp-run by:	antoine
  Approved by:	ports-secteam (delphij)

Changes:
_U  branches/2015Q3/
  branches/2015Q3/mail/thunderbird/Makefile
  branches/2015Q3/www/firefox/Makefile
  branches/2015Q3/www/firefox-esr/Makefile
  branches/2015Q3/www/libxul/Makefile
  branches/2015Q3/www/seamonkey/Makefile